Bug 1004256 - Review Request: pysysbot - A simple python jabber bot for getting system information
Review Request: pysysbot - A simple python jabber bot for getting system info...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-04 05:52 EDT by Fabian Affolter
Modified: 2014-02-03 21:48 EST (History)
5 users (show)

See Also:
Fixed In Version: pysysbot-0.1.3-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-03 21:45:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2013-09-04 05:52:18 EDT
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/pysysbot.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/pysysbot-0.1-1.fc19.src.rpm

Project URL: http://affolter-engineering.ch/software-development/jabber-bots/

Description:
This python jabber (XMPP) bot is based on the jabberbot framework. The bot
is capable to display details about the system it is running on. If you don't
want or can stay connected through SSH all the time this is an easy way to
get information about the remote system.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5892879

rpmlint output:
$ rpmlint pysysbot-0.1-1.fc19.src.rpm 
pysysbot.src: W: spelling-error %description -l en_US jabberbot -> jabber bot, jabber-bot, jabberer
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint pysysbot-0.1-1.fc19.noarch.rpm 
pysysbot.noarch: W: spelling-error %description -l en_US jabberbot -> jabber bot, jabber-bot, jabberer
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Fedora Account System Username: fab
Comment 1 Fabian Affolter 2013-09-15 11:00:55 EDT
* Sun Sep 15 2013 Fabian Affolter <mail@fabian-affolter.ch> - 0.1.1-1
- New download location
- Updated to new upstream release 0.1.1

Updated files:
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/pysysbot.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/pysysbot-0.1.1-1.fc19.src.rpm
Comment 2 Christopher Meng 2013-09-15 21:48:19 EDT
%{python_sitelib}/* --> %{python2_sitelib}/*

This package depends on pystatgrab, which depends on libstatgrab. However Oliver has updated it to 0.90, now I maintain it. I'm not sure if it's compatible with each other. Good news is that they have same upstream.

We need to rebuild pystatgrab against libstatgrab 0.90.

This package looks good, only has dependency problem.
Comment 3 Fabian Affolter 2013-09-17 04:36:53 EDT
(In reply to Christopher Meng from comment #2)
> %{python_sitelib}/* --> %{python2_sitelib}/*

thanks

> We need to rebuild pystatgrab against libstatgrab 0.90.

For now I switched to psutil for pysysbot because I was not able to rebuild pystatgrab against libstatgrab 0.90. There are some gcc errrors.

* Tue Sep 17 2013 Fabian Affolter <mail@fabian-affolter.ch> - 0.1.2-1
- Requirements updated
- License updated
- Updated to new upstream release 0.1.2

Updated files:
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/pysysbot.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/pysysbot-0.1.2-1.fc19.src.rpm
Comment 4 Christopher Meng 2013-09-17 08:44:30 EDT
Because of too many bugs now, we have rebuilt libstatgrab to 0.17 with epoch 1.

Sorry for the inconvenience, if possible please try again after today's bodhi pushing.
Comment 5 Björn "besser82" Esser 2013-09-17 09:32:25 EDT
(In reply to Christopher Meng from comment #4)
> Because of too many bugs now, we have rebuilt libstatgrab to 0.17 with epoch
> 1.

I cannot find any FPC / FESCo ticket for bumping epoch on libstatgrab?  Who granted permission to do so?  What's going on there?

> Sorry for the inconvenience, if possible please try again after today's
> bodhi pushing.
Comment 6 Christopher Meng 2013-09-17 10:27:03 EDT
(In reply to Björn "besser82" Esser from comment #5)
> (In reply to Christopher Meng from comment #4)
> > Because of too many bugs now, we have rebuilt libstatgrab to 0.17 with epoch
> > 1.
> 
> I cannot find any FPC / FESCo ticket for bumping epoch on libstatgrab?  Who
> granted permission to do so?  What's going on there?
> 
> > Sorry for the inconvenience, if possible please try again after today's
> > bodhi pushing.

Hi, you should look at git repo and see who is doing this, although I'm the owner, I never touch it still.
Comment 7 Michael Schwendt 2013-09-17 14:22:49 EDT
> Who granted permission to do so?

It doesn't need permission from the FPC, and FESCo has nothing to do with it at all.  https://fedoraproject.org/wiki/Packaging:Guidelines#Use_of_Epochs

Why not introduce a libstatgrab6 (6 for the SONAME major version) package to install alongside the upgraded libstatgrab?

> ... although I'm the owner, I never touch it still.

Is that disinterest? Or are you happy with the Epoch?
Comment 8 Christopher Meng 2013-11-12 10:19:20 EST
libstatgrab has been rolled back as 0.90 version breaks too many stuffs.


Package Review(truncated)
==============

1. [!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL", "GPL (v3 or later)", "Unknown or generated". 2 files have unknown
     license. Detailed output of licensecheck in
     /home/rpmaker/Desktop/pysysbot/licensecheck.txt

----------

Since you are the author of this software, I hope you can fix them in a new version(well it also depends on if a new version is ready for publish)

GPL
---
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/pysysbot-0.1.2/setup.py

GPL (v3 or later)
-----------------
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/pysysbot-0.1.2/pysysbot/__init__.py

Unknown or generated
--------------------
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/pysysbot-0.1.2/pysysbot/pysysbot.py
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/pysysbot-0.1.2/pysysbot/settings.py


2. [!]: Package requires other packages for directories it uses.
     Note: No known owner of /etc/pysysbot
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /etc/pysysbot

I think you can understand this.


-------------------Miscellaneous-------------------

Requires
--------
pysysbot (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/python2
    config(pysysbot)
    python(abi)
    python-jabberbot
    python-psutil
    systemd



Provides
--------
pysysbot:
    config(pysysbot)
    pysysbot



Source checksums
----------------
https://pypi.python.org/packages/source/p/pysysbot/pysysbot-0.1.2.tar.gz :
  CHECKSUM(SHA256) this package     : 1fdf0a43bc59e8e7bb77995ebaf4f16d28a688611c9709a2bfe811c8e457e8b3
  CHECKSUM(SHA256) upstream package : 1fdf0a43bc59e8e7bb77995ebaf4f16d28a688611c9709a2bfe811c8e457e8b3


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -rvn pysysbot-0.1.2-1.fc19.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Python, Shell-api
Disabled plugins: Java, C/C++, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG

-------------------Summary-------------------

Please fix issues found above and I will give +.
Comment 9 Christopher Meng 2013-12-08 22:15:57 EST
ping after a month.
Comment 10 Fabian Affolter 2014-01-08 07:40:06 EST
Thanks for the review.
Comment 11 Fabian Affolter 2014-01-22 08:27:22 EST
(In reply to Christopher Meng from comment #8)
> libstatgrab has been rolled back as 0.90 version breaks too many stuffs.
> 
> Package Review(truncated)
> ==============
> 
> 1. [!]: License field in the package spec file matches the actual license.
>      Note: Checking patched sources after %prep for licenses. Licenses found:
>      "GPL", "GPL (v3 or later)", "Unknown or generated". 2 files have unknown
>      license. Detailed output of licensecheck in
>      /home/rpmaker/Desktop/pysysbot/licensecheck.txt
> 
> Since you are the author of this software, I hope you can fix them in a new
> version(well it also depends on if a new version is ready for publish)

Thanks, there was indeed a little mess with the license statements. Should be fixed now. 

> 2. [!]: Package requires other packages for directories it uses.
>      Note: No known owner of /etc/pysysbot
> [!]: Package must own all directories that it creates.
>      Note: Directories without known owners: /etc/pysysbot
> 
> I think you can understand this.

Fixed

* Wed Jan 22 2014 Fabian Affolter <mail@fabian-affolter.ch> - 0.1.3-1
- License update
- Update to new upstream release 0.1.3

Updated files:
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/pysysbot.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/pysysbot-0.1.3-1.fc20.src.rpm
Comment 12 Christopher Meng 2014-01-23 00:16:50 EST
PACKAGE APPROVED.
Comment 13 Fabian Affolter 2014-01-23 01:57:41 EST
Christopher, thanks for the review.
Comment 14 Fabian Affolter 2014-01-23 01:59:20 EST
New Package SCM Request
=======================
Package Name: pysysbot
Short Description: A simple python jabber bot for getting system information
Owners: fab
Branches: F19 F20
InitialCC:
Comment 15 Gwyn Ciesla 2014-01-23 07:50:35 EST
Git done (by process-git-requests).
Comment 16 Fedora Update System 2014-01-23 13:46:39 EST
pysysbot-0.1.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/pysysbot-0.1.3-1.fc19
Comment 17 Fedora Update System 2014-01-23 13:46:48 EST
pysysbot-0.1.3-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/pysysbot-0.1.3-1.fc20
Comment 18 Fedora Update System 2014-01-24 21:21:02 EST
pysysbot-0.1.3-1.fc20 has been pushed to the Fedora 20 testing repository.
Comment 19 Fedora Update System 2014-02-03 21:45:01 EST
pysysbot-0.1.3-1.fc20 has been pushed to the Fedora 20 stable repository.
Comment 20 Fedora Update System 2014-02-03 21:48:03 EST
pysysbot-0.1.3-1.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.